Bug 143436 - xfce-utils should have RPM dependancy on xterm
Summary: xfce-utils should have RPM dependancy on xterm
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce-utils   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-20 20:09 UTC by Victor Gregorio
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-21 09:50:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Victor Gregorio 2004-12-20 20:09:55 UTC
Description of problem:

The xfce-utils RPM should require the installation of xterm so that
/usr/bin/xfterm4 can run with its default settings. 

Version-Release number of selected component (if applicable):

xfce-utils-4.0.6-1
xterm-192-1

How reproducible:

Every time.

Steps to Reproduce:
1. $TERMCMD not exported
2. if xterm is installed run: rpm -e xterm
3. yum install xfce-utils
4. /usr/bin/xfterm4
  
Actual results:

/usr/bin/xfterm4: line 76: exec: xterm: not found

Expected results:

Opening of an X terminal in Xfce

Additional info:

This can present a problem if the user is only familiar with the GUI
and does not see any error messages produced when clicking the
'terminal' icon on the Xfce Panel.

Solutions:

1. The /usr/bin/xfterm4 script can be edited (line 6, TERMCMD=xterm)
OR
2. The user's $TERMCMD shell environment variable can be set to
reflect an installed terminal application.
OR
3. yum install xterm

Comment 1 Ngo Than 2004-12-21 09:50:36 UTC
i have extended the xfterm4 so that it does not require xterm. The shell
script will look for all available xterm, konsole or gnome-console.

It's fixed in 4.0.6-3

Comment 2 Victor Gregorio 2004-12-21 18:21:38 UTC
Thank you.


Note You need to log in before you can comment on or make changes to this bug.